Subject: Re: bug#8047: 23.2.94; Auto image mode breaks C-x C-w

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Feb 2011 06:13:23 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 16 Feb 2011 02:48:33 +0200
> 
> image-mode is intended for viewing images, not editing.
> (I suppose `C-x C-w' is an editing command.)

Huh?  C-x C-w is a command to write the current buffer to a specified
file.  It doesn't edit anything.

> When you want to edit textual representation of the image,
> you can toggle `image-minor-mode' with `C-c C-c'.

That's unreasonable: visiting an image file automatically shows it as
an image, so from a user perspective, I simply visited a file and want
to save it to another file.  A practical use-case would be to display
an image file from a compressed archive, then write it to a file, thus
effectively extracting it from the archive.  I know about C-c C-c, but
it's a nuisance, and shouldn't be required, IMO.